#include<stdlib.h>

void main() {
	double* q; 
	
	f();
	q = (double *) malloc(200*sizeof(double));
	// at this point should see warning about memory leak from p
	free(q); 
}


void f() {
	double *p;
	
	p = (double *) malloc(100*sizeof(double));
}
